Subject: bug#29337: Bash reads system-wide bashrc unconditionally.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 11 Dec 2017 14:19:46 +0100

Roel Janssen <[email-masked]> skribis:

> Ludovic Courtès writes:

[...]

>>>> Now, we’re compiling Bash with "-DSYS_BASHRC='\"/etc/bashrc\"'".  I
>>>> wonder if removing that flag solves the --init-file case.
>>>
>>> It does.  So, I have a custom bash package for my specific use-case.
>>> I'm not sure how it affects other functionality, but I would like it if
>>> we could make this change upstream at some point.
>>
>> Now’s the time to make that change in ‘core-updates’!
>>
>> I don’t think it breaks things on GuixSD because /etc/profile sources
>> /etc/bashrc anyway.
>>
>> Thoughts?
>
> I don't think it'll break things.  So I guess I'm too late for the
> core-updates cycle.

Yes.

> Should I push this change to core-updates for the next cycle?

You can create a ‘core-updates-next’ branch based on ‘core-updates’, or
wait until ‘core-updates’ has been merged (which could take at least two
weeks.)

Ludo’.